Skip to main content
PATCH
/
preview
/
retail-media
/
accounts
/
{account-id}
/
balances
/
{balance-id}
/preview/retail-media/accounts/{account-id}/balances/{balance-id}
curl --request PATCH \
  --url https://api.criteo.com/preview/retail-media/accounts/{account-id}/balances/{balance-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "endDate": {
        "value": "<string>"
      },
      "memo": "<string>",
      "name": "<string>",
      "retailerPoNumber": "<string>",
      "startDate": "<string>"
    },
    "type": "<string>"
  }
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

The account of the balance

balance-id
string
required

The balance to change the dates

Body

application/json

An object that represents the available options to modify a balance.

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

200

Success